## boxes 1.0

=== Makefile ===
#
#   File:       Makefile
#   Creation:   August 14, 1999 (Saturday, 01:08h)
#   Author:     Copyright (C) 1999 Thomas Jensen
#               tsjensen@stud.informatik.uni-erlangen.de
#   Version:    $Id: Makefile,v 1.4 1999/08/22 11:43:55 tsjensen Exp tsjensen $
#   Format:     GNU make
#   Web Site:   http://home.pages.de/~jensen/boxes/
#   Platforms:  sparc/Solaris 2.6 and others
#   Purpose:    Makefile for boxes, the box drawing program
# 
#   Remarks:  o This program is free software; you can redistribute it and/or
#               modify it under the terms of the GNU General Public License as
#               published by the Free Software Foundation; either version 2 of
#               the License, or (at your option) any later version.
#             o This program is distributed in the hope that it will be useful,
#               but WITHOUT ANY WARRANTY; without even the implied warranty of
#               MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#               GNU General Public License for more details.
#             o You should have received a copy of the GNU General Public
#               License along with this program; if not, write to the Free
#               Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
#               MA 02111-1307  USA
#
#   Revision History:
#
#     $Log: Makefile,v $
#     Revision 1.4  1999/08/22 11:43:55  tsjensen
#     Added comment to guide user to GLOBALCONF definition line
#
#     Revision 1.3  1999/08/21 23:39:01  tsjensen
#     Added GLOBALCONF and BVERSION macros whose values are put into boxes.h and
#     boxes.1
#     Added locsnap target for generation of archives without posting to the Web
#     page
#     Added README file
#     Added rules to generate boxes.h and boxes.1 from boxes.1.in and boxes.h.in
#
#     Revision 1.2  1999/08/14 19:01:31  tsjensen
#     After taking a snapshot, put it in the author's archives, too.
#
#     Revision 1.1  1999/08/13 23:45:34  tsjensen
#     Initial revision
#____________________________________________________________________________
#============================================================================


# The following line (GLOBALCONF) is the only line you should need to edit!
GLOBALCONF = /usr/local/share/boxes
BVERSION   = 1.0

SNAPFILE   = boxes-SNAP-$(shell date +%Y%m%d)
WEBHOME    = $(HOME)/d/public_html/software/boxes
CLOGFILE   = $(WEBHOME)/changelogs.html

CL_FILES   = boxes-config
RCS_FILES  = $(CL_FILES) Makefile doc/boxes.1.in
ALL_FILES  = COPYING README boxes-config Makefile
DOC_FILES  = doc/boxes.1 doc/boxes.1.in


build debug boxes: src/boxes.h doc/boxes.1
	$(MAKE) -C src $@


src/boxes.h: src/boxes.h.in src/regexp/regexp.h Makefile
	sed -e 's/--BVERSION--/$(BVERSION)/; s/--GLOBALCONF--/$(subst /,\/,$(GLOBALCONF))/' src/boxes.h.in > src/boxes.h

doc/boxes.1: doc/boxes.1.in Makefile
	sed -e 's/--BVERSION--/$(BVERSION)/; s/--GLOBALCONF--/$(subst /,\/,$(GLOBALCONF))/' doc/boxes.1.in > doc/boxes.1


clean:
	rm -f doc/boxes.1
	$(MAKE) -C src clean

locsnap: $(ALL_FILES) $(DOC_FILES)
	mkdir -p $(SNAPFILE)/doc
	cp $(ALL_FILES) $(SNAPFILE)
	cp $(DOC_FILES) $(SNAPFILE)/doc
	$(MAKE) -C src SNAPFILE=../$(SNAPFILE) snap
	gtar cfvz $(SNAPFILE).tar.gz $(SNAPFILE)/*
	rm -rf $(SNAPFILE)/

snap: locsnap
	cp $(SNAPFILE).tar.gz $(WEBHOME)/download/
	rm -f $(WEBHOME)/download/current-SNAP.tar.gz
	(cd $(WEBHOME)/download; ln -s $(SNAPFILE).tar.gz current-SNAP.tar.gz)
	mv -i $(SNAPFILE).tar.gz archive/
	chmod 444 archive/$(SNAPFILE).tar.gz

rcstest:
	-for i in $(RCS_FILES) ; do rcsdiff $$i ; done
	$(MAKE) -C src rcstest

logpage: $(CL_FILES)
	cd src; ../doc/create_changelog.pl $(patsubst %,../%,$(CL_FILES)) $(shell $(MAKE) -C src -s logpage) > $(CLOGFILE)


love:
	@echo "Not in front of the kids, honey!"



#EOF

=== src/Makefile ===
#
#   File:       Makefile
#   Creation:   March 18, 1999 (Thursday, 15:10h)
#   Author:     Copyright (C) 1999 Thomas Jensen
#               tsjensen@stud.informatik.uni-erlangen.de
#   Version:    $Id: Makefile,v 1.15 1999/08/21 23:35:44 tsjensen Exp tsjensen $
#   Format:     GNU make
#   Web Site:   http://home.pages.de/~jensen/boxes/
#   Platforms:  sparc/Solaris 2.6 and others
#   Purpose:    Makefile for boxes, the box drawing program
# 
#   Remarks:  o This program is free software; you can redistribute it and/or
#               modify it under the terms of the GNU General Public License as
#               published by the Free Software Foundation; either version 2 of
#               the License, or (at your option) any later version.
#             o This program is distributed in the hope that it will be useful,
#               but WITHOUT ANY WARRANTY; without even the implied warranty of
#               MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#               GNU General Public License for more details.
#             o You should have received a copy of the GNU General Public
#               License along with this program; if not, write to the Free
#               Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
#               MA 02111-1307  USA
#
#   Revision History:
#
#     $Log: Makefile,v $
#     Revision 1.15  1999/08/21 23:35:44  tsjensen
#     boxes.h is now generated from boxes.h.in by top level Makefile
#     Added -Wall -W to CFLAGS and removed .c.o rule
#
#     Revision 1.14  1999/08/21 16:10:41  tsjensen
#     Removed case insensitivity option (-i) from flex call (-> lexer.l)
#
#     Revision 1.13  1999/08/13 23:55:03  tsjensen
#     Given regexp stuff its own Makefile in regexp.
#     Major Makefile overhaul, maily implementation of new directory structure
#     and consolidation of file macros
#     Use more GNU make features
#
#     Revision 1.12  1999/07/20 18:49:58  tsjensen
#     Added GNU GPL disclaimer
#     Now evaluating date command from SNAPFILE only once
#     Changed order of files in snapshot archive (who cares)
#
#     Revision 1.11  1999/07/12 18:28:53  tsjensen
#     Removed --yacc option from bison call
#     Added logpage target to generate the chronologically sorted global change
#     log in HTML format. This requires a Perl script (create_changelog.pl).
#     Added config.h to dependencies and stuff
#     Removed special targets for yacc and lex files. Thanks to Andreas Heiduk,
#     it is now possible to compile all files with -W -Wall and no extra
#     defines.
#     Moved regexp library to a subdirectory regexp
#     Some modifications on the source file macros which now differentiate
#     between files which are listed in the HTML change log and files which
#     aren't.
#
#     Revision 1.10  1999/07/02 11:50:35  tsjensen
#     Added parser.h header file for lexer-parser communication
#     Moved from yacc to GNU "bison --yacc"
#     No longer linking with flex library
#     Activated -Wall -W for parser.y
#     Removed -DYY_NO_UNPUT from lexer compilation (now done via file option)
#
#     Revision 1.1  1999/03/18 15:10:41  tsjensen
#     Initial revision
#____________________________________________________________________________
#============================================================================


LEX        = flex
YACC       = bison
CC         = gcc
CFLAGS     = -ansi -I. -Iregexp -Wall -W $(CFLAGS_ADDTL)
LDFLAGS    = -Lregexp

GEN_HDR    = parser.h boxes.h
GEN_SRC    = parser.c lex.yy.c
GEN_FILES  = $(GEN_SRC) $(GEN_HDR)
ORIG_HDRCL = boxes.h.in
ORIG_HDR   = $(ORIG_HDRCL) lexer.h tools.h shape.h generate.h remove.h config.h
ORIG_GEN   = lexer.l parser.y
ORIG_NORM  = boxes.c tools.c shape.c generate.c remove.c
ORIG_SRC   = $(ORIG_GEN) $(ORIG_NORM)
ORIG_FILES = $(ORIG_SRC) $(ORIG_HDR)
OTH_FILES  = Makefile

ALL_CL     = $(ORIG_SRC) $(ORIG_HDRCL) $(OTH_FILES)
ALL_FILES  = $(ORIG_FILES) $(GEN_FILES) $(OTH_FILES)
ALL_OBJ    = $(GEN_SRC:.c=.o) $(ORIG_NORM:.c=.o)


build:
	$(MAKE) CFLAGS_ADDTL=-O boxes
	strip boxes
debug:
	$(MAKE) CFLAGS_ADDTL=-g boxes

boxes: $(ALL_OBJ)
	$(MAKE) -C regexp CC=$(CC) libregexp.a
	$(CC) $(LDFLAGS) $(ALL_OBJ) -o boxes -lregexp

parser.c parser.h: parser.y boxes.h regexp/regexp.h
	$(YACC) -o parser.c -d parser.y

lex.yy.c: lexer.l boxes.h
	$(LEX) -t lexer.l > lexer.tmp.c
	echo '#include "config.h"' > lex.yy.c
	cat lexer.tmp.c >> lex.yy.c
	rm lexer.tmp.c


boxes.o: boxes.c boxes.h regexp/regexp.h shape.h tools.h generate.h remove.h config.h
tools.o: tools.c tools.h boxes.h shape.h config.h
shape.o: shape.c shape.h boxes.h config.h tools.h
generate.o: generate.c generate.h boxes.h shape.h tools.h config.h
remove.o: remove.c remove.h boxes.h shape.h tools.h config.h
lex.yy.o: lex.yy.c parser.h tools.h shape.h lexer.h config.h
parser.o: parser.c parser.h tools.h shape.h lexer.h config.h


snap: $(ALL_FILES)
	if [ -z "$(SNAPFILE)" ] ; then exit 1 ; fi
	mkdir $(SNAPFILE)/src
	cp $(ALL_FILES) $(SNAPFILE)/src
	touch $(patsubst %,$(SNAPFILE)/src/%,$(GEN_FILES))
	$(MAKE) -C regexp SNAPFILE=../$(SNAPFILE) snap

rcstest:
	-for i in $(ORIG_FILES) $(OTH_FILES) ; do rcsdiff $$i ; done
	$(MAKE) -C regexp rcstest

logpage: $(ALL_CL)
	@echo $(ALL_CL) $(shell $(MAKE) -C regexp -s logpage)

clean:
	rm -f $(ALL_OBJ)
	rm -f $(GEN_FILES)
	rm -f core boxes
	$(MAKE) -C regexp clean

love:
	@echo "Not in front of the kids, honey!"



#EOF

## boxes 1.0.1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #   Creation:   August 14, 1999 (Saturday, 01:08h)
 #   Author:     Copyright (C) 1999 Thomas Jensen
 #               tsjensen@stud.informatik.uni-erlangen.de
-#   Version:    $Id: Makefile,v 1.4 1999/08/22 11:43:55 tsjensen Exp tsjensen $
+#   Version:    $Id: Makefile,v 1.5 2000/03/17 23:52:29 tsjensen Exp tsjensen $
 #   Format:     GNU make
 #   Web Site:   http://home.pages.de/~jensen/boxes/
 #   Platforms:  sparc/Solaris 2.6 and others
@@ -25,6 +25,11 @@
 #   Revision History:
 #
 #     $Log: Makefile,v $
+#     Revision 1.5  2000/03/17 23:52:29  tsjensen
+#     Incremented version number to 1.0.1
+#     Renamed snapshot file name to boxes-SNAP-latest
+#     Added README.Win32.txt to snapshot generation commands
+#
 #     Revision 1.4  1999/08/22 11:43:55  tsjensen
 #     Added comment to guide user to GLOBALCONF definition line
 #
@@ -47,7 +52,7 @@
 
 # The following line (GLOBALCONF) is the only line you should need to edit!
 GLOBALCONF = /usr/local/share/boxes
-BVERSION   = 1.0
+BVERSION   = 1.0.1
 
 SNAPFILE   = boxes-SNAP-$(shell date +%Y%m%d)
 WEBHOME    = $(HOME)/d/public_html/software/boxes
@@ -55,7 +60,7 @@
 
 CL_FILES   = boxes-config
 RCS_FILES  = $(CL_FILES) Makefile doc/boxes.1.in
-ALL_FILES  = COPYING README boxes-config Makefile
+ALL_FILES  = COPYING README README.Win32.txt boxes-config Makefile
 DOC_FILES  = doc/boxes.1 doc/boxes.1.in
 
 
@@ -84,8 +89,8 @@
 
 snap: locsnap
 	cp $(SNAPFILE).tar.gz $(WEBHOME)/download/
-	rm -f $(WEBHOME)/download/current-SNAP.tar.gz
-	(cd $(WEBHOME)/download; ln -s $(SNAPFILE).tar.gz current-SNAP.tar.gz)
+	rm -f $(WEBHOME)/download/boxes-SNAP-latest.tar.gz
+	(cd $(WEBHOME)/download; ln -s $(SNAPFILE).tar.gz boxes-SNAP-latest.tar.gz)
 	mv -i $(SNAPFILE).tar.gz archive/
 	chmod 444 archive/$(SNAPFILE).tar.gz

=== src/regexp/Makefile ===
#
#   File:       Makefile
#   Creation:   August 13, 1999 (Friday, 22:13h)
#   Author:     Copyright (C) 1999 Thomas Jensen
#               tsjensen@stud.informatik.uni-erlangen.de
#   Version:    $Id: Makefile,v 1.1 1999/08/13 20:56:09 tsjensen Exp tsjensen $
#   Format:     GNU make
#   Web Site:   http://home.pages.de/~jensen/boxes/
#   Platforms:  sparc/Solaris 2.6 and others
#   Purpose:    Makefile for boxes, the box drawing program
#               generation of regexp handling library
# 
#   Remarks:  o This program is free software; you can redistribute it and/or
#               modify it under the terms of the GNU General Public License as
#               published by the Free Software Foundation; either version 2 of
#               the License, or (at your option) any later version.
#             o This program is distributed in the hope that it will be useful,
#               but WITHOUT ANY WARRANTY; without even the implied warranty of
#               MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#               GNU General Public License for more details.
#             o You should have received a copy of the GNU General Public
#               License along with this program; if not, write to the Free
#               Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
#               MA 02111-1307  USA
#
#   Revision History:
#
#     $Log: Makefile,v $
#     Revision 1.1  1999/08/13 20:56:09  tsjensen
#     Initial revision
#____________________________________________________________________________
#============================================================================


CFLAGS   = -traditional -O -I. $(CFLAGS_ADDTL)

ALL_CL   = regexp/regexp.c regexp/regsub.c
C_SRC    = $(notdir $(ALL_CL))
ALLFILES = Makefile $(C_SRC) regexp.h regmagic.h
ALLOBJ   = $(C_SRC:.c=.o)


build: libregexp.a
debug: libregexp.a

libregexp.a: $(ALLOBJ)
	ar cr libregexp.a $(ALLOBJ)

regexp.o: regexp.c regmagic.h regexp.h ../config.h
regsub.o: regsub.c regmagic.h regexp.h ../config.h

.c.o:
	$(CC) $(CFLAGS) -c $<

snap: $(ALLFILES)
	if [ -z "$(SNAPFILE)" ] ; then exit 1 ; fi
	mkdir $(SNAPFILE)/src/regexp
	cp $(ALLFILES) $(SNAPFILE)/src/regexp

rcstest:
	-for i in $(ALLFILES) ; do rcsdiff $$i ; done

logpage: $(C_SRC)
	@echo $(ALL_CL)

clean:
	rm -f $(ALLOBJ) libregexp.a core

love:
	@echo "Not in front of the kids, honey!"



#EOF

## boxes 1.0.1a

=== src/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #   Creation:   March 18, 1999 (Thursday, 15:10h)
 #   Author:     Copyright (C) 1999 Thomas Jensen
 #               tsjensen@stud.informatik.uni-erlangen.de
-#   Version:    $Id: Makefile,v 1.15 1999/08/21 23:35:44 tsjensen Exp tsjensen $
+#   Version:    $Id: Makefile,v 1.17 2000/03/17 23:51:43 tsjensen Exp tsjensen $
 #   Format:     GNU make
 #   Web Site:   http://home.pages.de/~jensen/boxes/
 #   Platforms:  sparc/Solaris 2.6 and others
@@ -25,6 +25,13 @@
 #   Revision History:
 #
 #     $Log: Makefile,v $
+#     Revision 1.17  2000/03/17 23:51:43  tsjensen
+#     Added Makefile.Win32 and misc/* to snap generation commands
+#
+#     Revision 1.16  1999/11/08 10:55:13  tsjensen
+#     Moved config.h into ORIG_HDRCL group, so it appears in the change log Web
+#     page
+#
 #     Revision 1.15  1999/08/21 23:35:44  tsjensen
 #     boxes.h is now generated from boxes.h.in by top level Makefile
 #     Added -Wall -W to CFLAGS and removed .c.o rule
@@ -78,8 +85,8 @@
 GEN_HDR    = parser.h boxes.h
 GEN_SRC    = parser.c lex.yy.c
 GEN_FILES  = $(GEN_SRC) $(GEN_HDR)
-ORIG_HDRCL = boxes.h.in
-ORIG_HDR   = $(ORIG_HDRCL) lexer.h tools.h shape.h generate.h remove.h config.h
+ORIG_HDRCL = boxes.h.in config.h
+ORIG_HDR   = $(ORIG_HDRCL) lexer.h tools.h shape.h generate.h remove.h
 ORIG_GEN   = lexer.l parser.y
 ORIG_NORM  = boxes.c tools.c shape.c generate.c remove.c
 ORIG_SRC   = $(ORIG_GEN) $(ORIG_NORM)
@@ -124,6 +131,9 @@
 	if [ -z "$(SNAPFILE)" ] ; then exit 1 ; fi
 	mkdir $(SNAPFILE)/src
 	cp $(ALL_FILES) $(SNAPFILE)/src
+	cp Makefile.Win32 $(SNAPFILE)/src
+	mkdir $(SNAPFILE)/src/misc
+	cp misc/getopt.c misc/getopt.h $(SNAPFILE)/src/misc
 	touch $(patsubst %,$(SNAPFILE)/src/%,$(GEN_FILES))
 	$(MAKE) -C regexp SNAPFILE=../$(SNAPFILE) snap

## boxes 1.1.1

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,11 @@
 #
 #   File:       Makefile
 #   Creation:   August 14, 1999 (Saturday, 01:08h)
-#   Author:     Copyright (C) 1999 Thomas Jensen
-#               tsjensen@stud.informatik.uni-erlangen.de
-#   Version:    $Id: Makefile,v 1.5 2000/03/17 23:52:29 tsjensen Exp tsjensen $
+#   Author:     Copyright (C) 1999 Thomas Jensen <boxes@thomasjensen.com>
+#   Version:    $Id: Makefile,v 1.13 2012/10/19 16:46:32 tsjensen Exp $
 #   Format:     GNU make
-#   Web Site:   http://home.pages.de/~jensen/boxes/
-#   Platforms:  sparc/Solaris 2.6 and others
+#   Web Site:   http://boxes.thomasjensen.com/
+#   Platforms:  sparc/Solaris 2.6, Linux, and others
 #   Purpose:    Makefile for boxes, the box drawing program
 # 
 #   Remarks:  o This program is free software; you can redistribute it and/or
@@ -25,6 +24,36 @@
 #   Revision History:
 #
 #     $Log: Makefile,v $
+#     Revision 1.13  2012/10/19 16:46:32  tsjensen
+#     Incremented version number to 1.1.1
+#     Include boxes.1.in in the changelog
+#
+#     Revision 1.12  2006/08/04 20:44:00  tsjensen
+#     Changed the latest snap creation target to adjust to VM build environment
+#
+#     Revision 1.11  2006/07/23 16:50:09  tsjensen
+#     Updated version number to 1.1
+#     Changed default value of GLOBALCONF to comply with current Linux standards
+#
+#     Revision 1.10  2006/07/22 19:51:08  tsjensen
+#     Added boxes.h management
+#     Added rcslocks target
+#     Updated some of the administrative paths (not relevant for builders)
+#
+#     Revision 1.9  2006-07-11 23:43:00-07  tsjensen
+#     Added a missing tab character
+#
+#     Revision 1.8  2006-07-08 01:58:08-07  tsjensen
+#     Updated email and web addresses
+#
+#     Revision 1.7  2006/07/08 08:56:38  tsjensen
+#     Added reminder of compilation faq
+#     Changed BVERSION to 1.0.2
+#
+#     Revision 1.6  2000/04/01 18:29:17  tsjensen
+#     Added code to add snapshot info to version number for snapshots. This
+#     affects the author only.
+#
 #     Revision 1.5  2000/03/17 23:52:29  tsjensen
 #     Incremented version number to 1.0.1
 #     Renamed snapshot file name to boxes-SNAP-latest
@@ -51,20 +80,21 @@
 
 
 # The following line (GLOBALCONF) is the only line you should need to edit!
-GLOBALCONF = /usr/local/share/boxes
-BVERSION   = 1.0.1
+GLOBALCONF = /usr/share/boxes
+BVERSION   = 1.1.1
 
 SNAPFILE   = boxes-SNAP-$(shell date +%Y%m%d)
-WEBHOME    = $(HOME)/d/public_html/software/boxes
-CLOGFILE   = $(WEBHOME)/changelogs.html
+WEBHOME    = $(HOME)/boxes/website
+CLOGFILE   = $(WEBHOME)/changelogs.shtml
 
-CL_FILES   = boxes-config
-RCS_FILES  = $(CL_FILES) Makefile doc/boxes.1.in
+CL_FILES   = boxes-config doc/boxes.1.in
+RCS_FILES  = $(CL_FILES) Makefile doc/boxes.el doc/create_changelog.pl
 ALL_FILES  = COPYING README README.Win32.txt boxes-config Makefile
-DOC_FILES  = doc/boxes.1 doc/boxes.1.in
+DOC_FILES  = doc/boxes.1 doc/boxes.1.in doc/boxes.el
 
 
 build debug boxes: src/boxes.h doc/boxes.1
+	@echo For compilation info see the boxes website at http://boxes.thomasjensen.com/
 	$(MAKE) -C src $@
 
 
@@ -76,7 +106,7 @@
 
 
 clean:
-	rm -f doc/boxes.1
+	rm -f doc/boxes.1 src/boxes.h
 	$(MAKE) -C src clean
 
 locsnap: $(ALL_FILES) $(DOC_FILES)
@@ -84,19 +114,27 @@
 	cp $(ALL_FILES) $(SNAPFILE)
 	cp $(DOC_FILES) $(SNAPFILE)/doc
 	$(MAKE) -C src SNAPFILE=../$(SNAPFILE) snap
+	mv $(SNAPFILE)/Makefile $(SNAPFILE)/Makefile.vin
+	cat $(SNAPFILE)/Makefile.vin | perl -ne 'if (/^(BVERSION\s*=\s*)(.*)$$/) { print "BVERSION   = above $$2 (SNAP of '`date +%d-%b-%Y`')\n"; } else { print $$_; }' > $(SNAPFILE)/Makefile
+	rm -f $(SNAPFILE)/Makefile.vin
+	find $(SNAPFILE) -type f -print | xargs chmod 644
 	gtar cfvz $(SNAPFILE).tar.gz $(SNAPFILE)/*
 	rm -rf $(SNAPFILE)/
 
 snap: locsnap
-	cp $(SNAPFILE).tar.gz $(WEBHOME)/download/
-	rm -f $(WEBHOME)/download/boxes-SNAP-latest.tar.gz
-	(cd $(WEBHOME)/download; ln -s $(SNAPFILE).tar.gz boxes-SNAP-latest.tar.gz)
 	mv -i $(SNAPFILE).tar.gz archive/
 	chmod 444 archive/$(SNAPFILE).tar.gz
+	rm -f archive/boxes-SNAP-latest.tar.gz
+	(cd archive; ln -s $(SNAPFILE).tar.gz boxes-SNAP-latest.tar.gz)
 
 rcstest:
 	-for i in $(RCS_FILES) ; do rcsdiff $$i ; done
 	$(MAKE) -C src rcstest
+
+rcslocks:
+	@echo Locked files:
+	@rlog -L -R $(RCS_FILES) | sed -e 's/^/    - /'
+	@$(MAKE) -C src rcslocks
 
 logpage: $(CL_FILES)
 	cd src; ../doc/create_changelog.pl $(patsubst %,../%,$(CL_FILES)) $(shell $(MAKE) -C src -s logpage) > $(CLOGFILE)

=== src/Makefile ===
--- 
+++ 
@@ -1,11 +1,10 @@
 #
 #   File:       Makefile
 #   Creation:   March 18, 1999 (Thursday, 15:10h)
-#   Author:     Copyright (C) 1999 Thomas Jensen
-#               tsjensen@stud.informatik.uni-erlangen.de
-#   Version:    $Id: Makefile,v 1.17 2000/03/17 23:51:43 tsjensen Exp tsjensen $
+#   Author:     Copyright (C) 1999 Thomas Jensen <boxes@thomasjensen.com>
+#   Version:    $Id: Makefile,v 1.19 2006/07/22 19:07:21 tsjensen Exp $
 #   Format:     GNU make
-#   Web Site:   http://home.pages.de/~jensen/boxes/
+#   Web Site:   http://boxes.thomasjensen.com/
 #   Platforms:  sparc/Solaris 2.6 and others
 #   Purpose:    Makefile for boxes, the box drawing program
 # 
@@ -25,7 +24,15 @@
 #   Revision History:
 #
 #     $Log: Makefile,v $
-#     Revision 1.17  2000/03/17 23:51:43  tsjensen
+#     Revision 1.19  2006/07/22 19:07:21  tsjensen
+#     The file boxes.h is now managed by the top level Makefile only
+#     Added rcslocks target to check lock status
+#     Small usability enhancements
+#
+#     Revision 1.18  2006/07/12 05:32:10  tsjensen
+#     Updated email and web addresses in comment header
+#
+#     Revision 1.17  2000-03-17 15:51:43-08  tsjensen
 #     Added Makefile.Win32 and misc/* to snap generation commands
 #
 #     Revision 1.16  1999/11/08 10:55:13  tsjensen
@@ -82,7 +89,7 @@
 CFLAGS     = -ansi -I. -Iregexp -Wall -W $(CFLAGS_ADDTL)
 LDFLAGS    = -Lregexp
 
-GEN_HDR    = parser.h boxes.h
+GEN_HDR    = parser.h
 GEN_SRC    = parser.c lex.yy.c
 GEN_FILES  = $(GEN_SRC) $(GEN_HDR)
 ORIG_HDRCL = boxes.h.in config.h
@@ -94,7 +101,7 @@
 OTH_FILES  = Makefile
 
 ALL_CL     = $(ORIG_SRC) $(ORIG_HDRCL) $(OTH_FILES)
-ALL_FILES  = $(ORIG_FILES) $(GEN_FILES) $(OTH_FILES)
+ALL_FILES  = $(ORIG_FILES) $(GEN_FILES) $(OTH_FILES) boxes.h
 ALL_OBJ    = $(GEN_SRC:.c=.o) $(ORIG_NORM:.c=.o)
 
 
@@ -107,6 +114,10 @@
 boxes: $(ALL_OBJ)
 	$(MAKE) -C regexp CC=$(CC) libregexp.a
 	$(CC) $(LDFLAGS) $(ALL_OBJ) -o boxes -lregexp
+
+boxes.h:
+	@echo File boxes.h not found or not current. Please run make in the parent directory.
+	@exit 1
 
 parser.c parser.h: parser.y boxes.h regexp/regexp.h
 	$(YACC) -o parser.c -d parser.y
@@ -128,7 +139,7 @@
 
 
 snap: $(ALL_FILES)
-	if [ -z "$(SNAPFILE)" ] ; then exit 1 ; fi
+	@if [ -z "$(SNAPFILE)" ] ; then echo "make snap must be run from the parent directory" ; exit 1 ; fi
 	mkdir $(SNAPFILE)/src
 	cp $(ALL_FILES) $(SNAPFILE)/src
 	cp Makefile.Win32 $(SNAPFILE)/src
@@ -140,6 +151,10 @@
 rcstest:
 	-for i in $(ORIG_FILES) $(OTH_FILES) ; do rcsdiff $$i ; done
 	$(MAKE) -C regexp rcstest
+
+rcslocks:
+	@rlog -L -R $(ORIG_FILES) $(OTH_FILES) | sed -e 's/^/    - src\//'
+	@$(MAKE) -C regexp rcslocks
 
 logpage: $(ALL_CL)
 	@echo $(ALL_CL) $(shell $(MAKE) -C regexp -s logpage)

=== src/regexp/Makefile ===
--- 
+++ 
@@ -1,11 +1,10 @@
 #
 #   File:       Makefile
 #   Creation:   August 13, 1999 (Friday, 22:13h)
-#   Author:     Copyright (C) 1999 Thomas Jensen
-#               tsjensen@stud.informatik.uni-erlangen.de
-#   Version:    $Id: Makefile,v 1.1 1999/08/13 20:56:09 tsjensen Exp tsjensen $
+#   Author:     Copyright (C) 1999 Thomas Jensen <boxes@thomasjensen.com>
+#   Version:    $Id: Makefile,v 1.4 2006/07/22 19:04:30 tsjensen Exp $
 #   Format:     GNU make
-#   Web Site:   http://home.pages.de/~jensen/boxes/
+#   Web Site:   http://boxes.thomasjensen.com/
 #   Platforms:  sparc/Solaris 2.6 and others
 #   Purpose:    Makefile for boxes, the box drawing program
 #               generation of regexp handling library
@@ -26,13 +25,24 @@
 #   Revision History:
 #
 #     $Log: Makefile,v $
+#     Revision 1.4  2006/07/22 19:04:30  tsjensen
+#     Small usability enhancements
+#
+#     Revision 1.3  2006/07/12 21:28:38  tsjensen
+#     Added target rcslocks
+#
+#     Revision 1.2  2006/07/08 08:47:58  tsjensen
+#     Removed -traditional flag from CFLAGS definition
+#     Updated email and web addresses
+#
 #     Revision 1.1  1999/08/13 20:56:09  tsjensen
 #     Initial revision
+#
 #____________________________________________________________________________
 #============================================================================
 
 
-CFLAGS   = -traditional -O -I. $(CFLAGS_ADDTL)
+CFLAGS   = -O -I. $(CFLAGS_ADDTL)
 
 ALL_CL   = regexp/regexp.c regexp/regsub.c
 C_SRC    = $(notdir $(ALL_CL))
@@ -53,12 +63,15 @@
 	$(CC) $(CFLAGS) -c $<
 
 snap: $(ALLFILES)
-	if [ -z "$(SNAPFILE)" ] ; then exit 1 ; fi
+	@if [ -z "$(SNAPFILE)" ] ; then echo "make snap must be run from the main directory" ; exit 1 ; fi
 	mkdir $(SNAPFILE)/src/regexp
 	cp $(ALLFILES) $(SNAPFILE)/src/regexp
 
 rcstest:
 	-for i in $(ALLFILES) ; do rcsdiff $$i ; done
+
+rcslocks:
+	@rlog -L -R $(ALLFILES) | sed -e 's/^/    - src\/regexp\//'
 
 logpage: $(C_SRC)
 	@echo $(ALL_CL)

=== debian/changelog ===
boxes (1.1.1-3) unstable; urgency=low

  * Upload to unstable
  * Bump copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 05 May 2013 08:07:20 +0200

boxes (1.1.1-2) experimental; urgency=low

  * Correct License for src/regexp/{regexp,regsub}.c files.
    Add missing license text for src/regexp/{regexp,regsub}.c files to
    debian/copyright and correct License field.

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 18 Dec 2012 21:22:06 +0100

boxes (1.1.1-1) experimental; urgency=low

  * Imported Upstream version 1.1.1
    + Includes new type by Karl E. Jorgensen <karl@jorgensen.com>
      (Closes: #187078).
  * Refresh default-GLOBALCONF-for-Debian.patch patch
  * Drop fix-spelling-error-in-manpage.patch patch.
    Patch was applied upstream.
  * Drop fix-hyphen-used-as-minus-sign.patch patch.
    Patch was applied upstream.
  * Bump Standards-Version to 3.9.4

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 21 Oct 2012 18:15:44 +0200

boxes (1.1-1) experimental; urgency=low

  * Add debian/watch file to track new upstream releases
  * Imported Upstream version 1.1 (Closes: #446102)
  * New maintainer for boxes.
    Add myself to debian/control Maintainer field. (Closes: #686997)
  * Update debian/copyright file.
    Update format to copyright-format 1.0 as released together with Debian
    policy 3.9.3.
    Add myself to copyright for debian/* packaging files.
    Refer to Debian systems in general instead of only Debian GNU/Linux
    systems.
    Explicitly refer to GPL-2 license text in common-licenses.
    Update copyright information for other included files: Add stanzas for
    doc/boxes.el, src/misc/getopt.{c,h}, src/parser.{c,h} and
    src/regexp/regexp.c.
  * Drop debian/boxes-1.0.1.patch patch
  * Convert to '3.0 (quilt)' source package format.
  * Add default-GLOBALCONF-for-Debian.patch patch.
    Change default configuration file path for Debian to
    /etc/boxes/boxes-config.
  * Add fix-FTBFS-on-GNU-kFreeBSD-GNU-Hurd.patch patch.
    Add patch to fix FTBFS on GNU/kFreeBSD and GNU/Hurd. Add the patch to
    debian/patches instead of patching directly the source now (as we
    switched to '3.0 (quilt)' source package format.
  * Simplify debian/rules to a tiny rules file.
    Install boxes binary and default configuration file via dh_install.
  * Bump Debhelper compat level to 9.
    Add a debian/compat file and bump versioned Build-Depends on debhelper
    to (>= 9).
  * Add ${misc:Depends} to Depends in debian/control
  * Add Homepage field to source package stanza in debian/control
  * Install doc/boxes.el to site-lisp for emacs
  * Add fix-spelling-error-in-manpage.patch patch.
    Add small patch to fix a spelling error in manpage of boxes.1.
  * Add fix-hyphen-used-as-minus-sign.patch patch.
    Fix lintian warning 'hyphen-used-as-minus-sign'.
  * Bump Standards-Version to 3.9.3
  * Add do-not-strip-boxes-binary-by-default.patch patch.
    Don't strip boxes binary already in Makefile and leave this to the
    dh_strip invocation in debian/rules. (Closes: #436604)
  * Lowercase capital letter at beginning of synopsis line

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 15 Sep 2012 17:24:17 +0200

boxes (1.0.1a-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Use _GNU_SOURCE on GNU/kFreeBSD and GNU/Hurd, as suggested by Petr
    Salinger, fixing FTBFS on those platforms (Closes: #401741).

 -- Cyril Brulebois <kibi@debian.org>  Fri, 28 Aug 2009 05:07:07 +0200

boxes (1.0.1a-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Adjust location for configuration file, it should be
    /etc/boxes/boxes-config and not the directory /etc/boxes/
    itself. (Closes: #374304, #384696)

 -- Michael Prokop <mika@grml.org>  Sat, 20 Jan 2007 18:16:55 +0100

boxes (1.0.1a-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Move configuration file to /etc (Closes: #374490)
  * Add boxes-config to debian/examples

 -- Julien Danjou <acid@debian.org>  Tue, 11 Jul 2006 13:56:12 +0200

boxes (1.0.1a-2) unstable; urgency=low

  * Global config is in /usr/share/boxes/. (Closes: #374304)

 -- KELEMEN Peter <fuji@debian.org>  Sun, 18 Jun 2006 17:51:27 +0200

boxes (1.0.1a-1) unstable; urgency=low

  * Pristine source.
  * Bumped Standards-Version: 3.7.2
  * Bumped DH_COMPAT=4
  * Assorted compile fixes. (Closes: #191178)
  * New URL. (Closes: #348700)

 -- KELEMEN Peter <fuji@debian.org>  Thu, 15 Jun 2006 14:40:16 +0200

boxes (1.0.1-5) unstable; urgency=low

  * Acknowledgning NMU bt Tore Anderson, thanks.
  * debian/copyright
    - Fixed URL.
    - Fixed Upstream Authors.
  * debian/control
    - Standards-Version: 3.6.1
    - Fixed Build-Depends: field.
    - Fixed Maintainer: field.
    - Fixed Description: field.

 -- KELEMEN Péter <fuji@debian.org>  Sun, 15 Aug 2004 12:36:41 +0200

boxes (1.0.1-4.1) unstable; urgency=low

  * NMU (sponsored by joeyh)
  * Build-Depend on flex-old instead of flex, closes: #191187.

 -- Tore Anderson <tore@linpro.no>  Sat, 12 Jul 2003 21:10:04 +0200

boxes (1.0.1-4) unstable; urgency=MEDIUM

  * Modernized packaging (debhelper v3).
  * (debian/control) Bumped Standards-Version: field to 3.5.6.
  * #define _GNU_SOURCE decision based on #defined __GNUC__. (Closes: #106761)
  * /usr/share/boxes/boxes: Removed bogus test designs. (Closes: #96301)

 -- KELEMEN Peter <fuji@debian.org>  Fri, 19 Apr 2002 00:18:27 +0200

boxes (1.0.1-3) unstable; urgency=low

  * Fixed Build-Depends: *again*. (Closes: #95073)

 -- KELEMEN Peter <fuji@debian.org>  Tue, 24 Apr 2001 13:27:37 +0200

boxes (1.0.1-2) unstable; urgency=low

  * Fixed Build-Depends:. (Closes: #70199)

 -- KELEMEN Peter <fuji@debian.org>  Sun, 22 Apr 2001 00:45:43 +0200

boxes (1.0.1-1) unstable; urgency=low

  * New Upstream Release.

 -- KELEMEN Peter <fuji@debian.org>  Wed, 26 Apr 2000 17:54:54 +0200

boxes (1.0-1) unstable; urgency=low

  * Initial Release.



=== debian/control ===
Source: boxes
Section: text
Priority: optional
Maintainer: Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9), bison, flex
Homepage: http://boxes.thomasjensen.com/

Package: boxes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: textmode box- and comment drawing filter
 Boxes is extremely configurable filter for adding and removing ASCII art
 (comments, for example) around chunks of text.  Most modern text editors
 support filtering text through external filters.  Boxes is such a filter.

=== debian/watch ===
version=3
http://boxes.thomasjensen.com/download boxes-(.*)\.src\.tar\.gz

## boxes 1.1.2

=== Makefile ===
#
#   File:       Makefile
#   Creation:   August 14, 1999 (Saturday, 01:08h)
#   Author:     Copyright (C) 1999 Thomas Jensen <boxes@thomasjensen.com>
#   Format:     GNU make
#   Web Site:   http://boxes.thomasjensen.com/
#   Purpose:    Makefile for boxes, the box drawing program
# 
#   License:  o This program is free software; you can redistribute it and/or
#               modify it under the terms of the GNU General Public License as
#               published by the Free Software Foundation; either version 2 of
#               the License, or (at your option) any later version.
#             o This program is distributed in the hope that it will be useful,
#               but WITHOUT ANY WARRANTY; without even the implied warranty of
#               MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#               GNU General Public License for more details.
#             o You should have received a copy of the GNU General Public
#               License along with this program; if not, write to the Free
#               Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
#               MA 02111-1307  USA
#____________________________________________________________________________
#============================================================================


# The following line (GLOBALCONF) is the only line you should need to edit!
GLOBALCONF = /usr/share/boxes
BVERSION   = 1.1.2

ALL_FILES  = LICENSE README.md README.Win32.txt boxes-config
DOC_FILES  = doc/boxes.1 doc/boxes.el
PKG_NAME   = boxes-$(BVERSION)

.PHONY: clean build win32 debug win32.debug infomsg replaceinfos test package win32.package package_common


build debug: infomsg replaceinfos
	$(MAKE) -C src BOXES_PLATFORM=unix $@

win32: infomsg replaceinfos
	$(MAKE) -C src BOXES_PLATFORM=win32 build

win32.debug: infomsg replaceinfos
	$(MAKE) -C src BOXES_PLATFORM=win32 debug


infomsg:
	@echo "| For compilation info please refer to the boxes compilation FAQ"
	@echo "| at https://github.com/ascii-boxes/boxes/wiki/FAQ#q-5-compilation"

replaceinfos: src/boxes.h doc/boxes.1

src/boxes.h: src/boxes.h.in src/regexp/regexp.h Makefile
	sed -e 's/--BVERSION--/$(BVERSION)/; s/--GLOBALCONF--/$(subst /,\/,$(GLOBALCONF))/' src/boxes.h.in > src/boxes.h

doc/boxes.1: doc/boxes.1.in Makefile
	sed -e 's/--BVERSION--/$(BVERSION)/; s/--GLOBALCONF--/$(subst /,\/,$(GLOBALCONF))/' doc/boxes.1.in > doc/boxes.1


$(PKG_NAME).tar.gz:
	mkdir -p $(PKG_NAME)/doc
	cp $(ALL_FILES) $(PKG_NAME)
	cp $(DOC_FILES) $(PKG_NAME)/doc
	$(MAKE) -C src PKG_NAME=$(PKG_NAME) BOXES_PLATFORM=$(BOXES_PLATFORM) flags_$(BOXES_PLATFORM) package
	if which gtar >/dev/null 2>&1 ; then gtar cfvz $(PKG_NAME).tar.gz $(PKG_NAME)/* ; \
	    else tar cfvz $(PKG_NAME).tar.gz $(PKG_NAME)/* ; fi
	rm -rf $(PKG_NAME)/

package: build
	$(MAKE) BOXES_PLATFORM=unix $(PKG_NAME).tar.gz

win32.package: win32
	$(MAKE) BOXES_PLATFORM=win32 $(PKG_NAME).tar.gz


clean:
	rm -f doc/boxes.1 src/boxes.h
	$(MAKE) -C src clean


test:
	cd test; ./testrunner.sh -suite


#EOF

=== src/Makefile ===
#
#   File:       Makefile.Win32
#   Creation:   March 18, 1999 (Thursday, 15:10h)
#   Author:     Copyright (C) 1999 Thomas Jensen <boxes@thomasjensen.com>
#               Win32 Modifications by Ron Aaron <ron@mossbayeng.com>
#   Format:     GNU make
#   Web Site:   http://boxes.thomasjensen.com/
#   Platforms:  win32
#   Purpose:    Makefile for boxes, the box drawing program
#
#   License:  o This program is free software; you can redistribute it and/or
#               modify it under the terms of the GNU General Public License as
#               published by the Free Software Foundation; either version 2 of
#               the License, or (at your option) any later version.
#             o This program is distributed in the hope that it will be useful,
#               but WITHOUT ANY WARRANTY; without even the implied warranty of
#               MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#               GNU General Public License for more details.
#             o You should have received a copy of the GNU General Public
#               License along with this program; if not, write to the Free
#               Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
#               MA 02111-1307  USA
#____________________________________________________________________________
#============================================================================


LEX        = flex
YACC       = bison
CC         = gcc

GEN_HDR    = parser.h boxes.h
GEN_SRC    = parser.c lex.yy.c
GEN_FILES  = $(GEN_SRC) $(GEN_HDR)
ORIG_HDRCL = boxes.h.in config.h
ORIG_HDR   = $(ORIG_HDRCL) lexer.h tools.h shape.h generate.h remove.h
ORIG_GEN   = lexer.l parser.y
ORIG_NORM  = boxes.c tools.c shape.c generate.c remove.c
ORIG_SRC   = $(ORIG_GEN) $(ORIG_NORM)
ORIG_FILES = $(ORIG_SRC) $(ORIG_HDR)
OTH_FILES  = Makefile

ALL_FILES  = $(ORIG_FILES) $(GEN_FILES) $(OTH_FILES)


.PHONY: clean build debug package flags_unix flags_win32 flags_


build: flags_$(BOXES_PLATFORM)
	$(MAKE) BOXES_PLATFORM=$(BOXES_PLATFORM) ALL_OBJ="$(ALL_OBJ)" CFLAGS_ADDTL="-O $(CFLAGS_ADDTL)" STRIP=true flags_$(BOXES_PLATFORM) $(BOXES_EXECUTABLE_NAME)

debug: flags_$(BOXES_PLATFORM)
	$(MAKE) BOXES_PLATFORM=$(BOXES_PLATFORM) ALL_OBJ="$(ALL_OBJ)" CFLAGS_ADDTL="-g $(CFLAGS_ADDTL)" STRIP=false flags_$(BOXES_PLATFORM) $(BOXES_EXECUTABLE_NAME)

boxes: $(ALL_OBJ)
	$(MAKE) -C regexp CC=$(CC) libregexp.a
	$(CC) $(LDFLAGS) $(ALL_OBJ) -o $(BOXES_EXECUTABLE_NAME) -lregexp
	if [ $(STRIP) == true ] ; then strip $(BOXES_EXECUTABLE_NAME) ; fi

boxes.exe: $(ALL_OBJ)
	$(CC) $(LDFLAGS) $(ALL_OBJ) -o $(BOXES_EXECUTABLE_NAME) -lkernel32
	if [ $(STRIP) == true ] ; then strip $(BOXES_EXECUTABLE_NAME) ; fi


flags_unix:
	$(eval CFLAGS := -ansi -I. -Iregexp -Wall -W $(CFLAGS_ADDTL))
	$(eval LDFLAGS := -Lregexp $(LDFLAGS_ADDTL))
	$(eval BOXES_EXECUTABLE_NAME := boxes)
	$(eval ALL_OBJ := $(GEN_SRC:.c=.o) $(ORIG_NORM:.c=.o))

flags_win32:
	$(eval CFLAGS := -Os -s -m32 -I. -Iregexp -Wall -W $(CFLAGS_ADDTL))
	$(eval LDFLAGS := -s -m32)
	$(eval BOXES_EXECUTABLE_NAME := boxes.exe)
	$(eval ALL_OBJ := $(GEN_SRC:.c=.o) $(ORIG_NORM:.c=.o) regexp/regexp.o regexp/regsub.o misc/getopt.o)

flags_:
	@echo Please call make from the top level directory.
	exit 1

parser.c parser.h: parser.y boxes.h regexp/regexp.h
	$(YACC) -o parser.c -d parser.y

lex.yy.c: lexer.l boxes.h
	$(LEX) -t lexer.l > lexer.tmp.c
	echo #include "config.h" > lex.yy.c
	cat lexer.tmp.c >> lex.yy.c
	rm lexer.tmp.c


boxes.o: boxes.c boxes.h regexp/regexp.h shape.h tools.h generate.h remove.h config.h
tools.o: tools.c tools.h boxes.h shape.h config.h
shape.o: shape.c shape.h boxes.h config.h tools.h
generate.o: generate.c generate.h boxes.h shape.h tools.h config.h
remove.o: remove.c remove.h boxes.h shape.h tools.h config.h
lex.yy.o: lex.yy.c parser.h tools.h shape.h lexer.h config.h
parser.o: parser.c parser.h tools.h shape.h lexer.h config.h
regexp/regexp.o: regexp/regexp.c
regexp/regsub.o: regexp/regsub.c
misc/getopt.o: misc/getopt.c


package: $(BOXES_EXECUTABLE_NAME)
	if [ -z "$(PKG_NAME)" ] ; then exit 1 ; fi
	cp $(BOXES_EXECUTABLE_NAME) ../$(PKG_NAME)

clean: flags_unix
	rm -f $(ALL_OBJ)
	rm -f $(GEN_FILES)
	rm -f core boxes boxes.exe
	$(MAKE) -C regexp clean


#EOF

=== debian/changelog ===
boxes (1.1.2-4) unstable; urgency=medium

  * Enable emacs autoloads for the commands in boxes.el.
    Thanks to Kevin Ryde <user42_kevin@yahoo.com.au> (Closes: #807436)
  * boxes.el: Fix invalid defvar initialization that now errors.
    Thanks to Kevin Ryde <user42_kevin@yahoo.com.au> (Closes: #807153)
  * Fix problems with boxes.el in xemacs.
    Removes the 6th arg to shell-command-on-region as it is not necessary
    and does not exist in older versions of xemacs.
    Thanks to Kevin Ryde <user42_kevin@yahoo.com.au> (Closes: #807439)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 22 Dec 2015 16:45:57 +0100

boxes (1.1.2-3) unstable; urgency=medium

  * Add 0001-Properly-quote-argument-to-echo-containing-in-Makef.patch.
    Arguments to echo were not quoted in src/Makefile causing that only a
    empty line was prepended to lex.yy.c and thus the _GNU_SOURCE marco not
    defined before using strdup.
    Fixes "warning: implicit declaration of function 'strdup'".
    Thanks to Sebastien Bacher <seb128@ubuntu.com> for the report.
    (Closes: #793390)
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 24 Jul 2015 13:13:15 +0200

boxes (1.1.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 26 Apr 2015 11:08:00 +0200

boxes (1.1.2-1) experimental; urgency=medium

  * Imported Upstream version 1.1.2
  * debian/watch: Add alternative location for watch new upstream releases.
    Development moved to github and new upstream releases will most likely
    be published there only. Add an alternative location to watch for new
    upstream releases.
  * Add basic debian/upstream/metadata information
  * Refresh default-GLOBALCONF-for-Debian.patch patch
  * Drop fix-FTBFS-on-GNU-kFreeBSD-GNU-Hurd.patch patch (adopted upstream)
  * Refresh do-not-strip-boxes-binary-by-default.patch patch
  * Drop copyright stanza for src/parser.h
  * Install README.md to /usr/share/doc/boxes
  * Install vim syntax file for boxes configuration file to examples
  * Declare compliance with Debian policy 3.9.6

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 12 Feb 2015 13:01:55 +0100

boxes (1.1.1-4) unstable; urgency=medium

  * Add Vcs-Browser and Vcs-Git fields
  * Wrap-and-sort fields in debian/control
  * Update copyright years for debian/* packaging
  * Declare compliance with Debian Policy 3.9.5

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 24 Aug 2014 09:10:10 +0200

=== debian/control ===
Source: boxes
Section: text
Priority: optional
Maintainer: Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 3.9.6
Build-Depends: bison, debhelper (>= 9), flex
Vcs-Browser: https://anonscm.debian.org/cgit/users/carnil/boxes.git
Vcs-Git: git://anonscm.debian.org/users/carnil/boxes.git
Homepage: http://boxes.thomasjensen.com/

Package: boxes
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: textmode box- and comment drawing filter
 Boxes is extremely configurable filter for adding and removing ASCII art
 (comments, for example) around chunks of text.  Most modern text editors
 support filtering text through external filters.  Boxes is such a filter.

=== debian/watch ===
version=3
http://boxes.thomasjensen.com/download boxes-(.*)\.src\.tar\.gz
https://github.com/ascii-boxes/boxes/releases /ascii-boxes/boxes/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$

## boxes 1.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,6 @@
 #   Creation:   August 14, 1999 (Saturday, 01:08h)
 #   Author:     Copyright (C) 1999 Thomas Jensen <boxes@thomasjensen.com>
 #   Format:     GNU make
-#   Web Site:   http://boxes.thomasjensen.com/
 #   Purpose:    Makefile for boxes, the box drawing program
 # 
 #   License:  o This program is free software; you can redistribute it and/or
@@ -24,7 +23,7 @@
 
 # The following line (GLOBALCONF) is the only line you should need to edit!
 GLOBALCONF = /usr/share/boxes
-BVERSION   = 1.1.2
+BVERSION   = 1.2
 
 ALL_FILES  = LICENSE README.md README.Win32.txt boxes-config
 DOC_FILES  = doc/boxes.1 doc/boxes.el
@@ -45,7 +44,7 @@
 
 infomsg:
 	@echo "| For compilation info please refer to the boxes compilation FAQ"
-	@echo "| at https://github.com/ascii-boxes/boxes/wiki/FAQ#q-5-compilation"
+	@echo "| at http://boxes.thomasjensen.com/docs/faq.html#q5"
 
 replaceinfos: src/boxes.h doc/boxes.1

=== src/Makefile ===
--- 
+++ 
@@ -62,7 +62,7 @@
 
 
 flags_unix:
-	$(eval CFLAGS := -ansi -I. -Iregexp -Wall -W $(CFLAGS_ADDTL))
+	$(eval CFLAGS := -I. -Iregexp -Wall -W $(CFLAGS_ADDTL))
 	$(eval LDFLAGS := -Lregexp $(LDFLAGS_ADDTL))
 	$(eval BOXES_EXECUTABLE_NAME := boxes)
 	$(eval ALL_OBJ := $(GEN_SRC:.c=.o) $(ORIG_NORM:.c=.o))
@@ -82,7 +82,7 @@
 
 lex.yy.c: lexer.l boxes.h
 	$(LEX) -t lexer.l > lexer.tmp.c
-	echo #include "config.h" > lex.yy.c
+	echo '#include "config.h"' > lex.yy.c
 	cat lexer.tmp.c >> lex.yy.c
 	rm lexer.tmp.c

=== src/regexp/Makefile ===
#
#   File:       Makefile
#   Creation:   August 13, 1999 (Friday, 22:13h)
#   Author:     Copyright (C) 1999 Thomas Jensen <boxes@thomasjensen.com>
#   Format:     GNU make
#   Web Site:   http://boxes.thomasjensen.com/
#   Purpose:    Makefile for boxes, the box drawing program
#               generation of regexp handling library
# 
#   License:  o This program is free software; you can redistribute it and/or
#               modify it under the terms of the GNU General Public License as
#               published by the Free Software Foundation; either version 2 of
#               the License, or (at your option) any later version.
#             o This program is distributed in the hope that it will be useful,
#               but WITHOUT ANY WARRANTY; without even the implied warranty of
#               MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#               GNU General Public License for more details.
#             o You should have received a copy of the GNU General Public
#               License along with this program; if not, write to the Free
#               Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
#               MA 02111-1307  USA
#____________________________________________________________________________
#============================================================================


CFLAGS   = -O -I. $(CFLAGS_ADDTL)

ALL_CL   = regexp/regexp.c regexp/regsub.c
C_SRC    = $(notdir $(ALL_CL))
ALLFILES = Makefile $(C_SRC) regexp.h regmagic.h
ALLOBJ   = $(C_SRC:.c=.o)


.PHONY: clean build debug


build: libregexp.a
debug: libregexp.a

libregexp.a: $(ALLOBJ)
	ar cr libregexp.a $(ALLOBJ)

regexp.o: regexp.c regmagic.h regexp.h ../config.h
regsub.o: regsub.c regmagic.h regexp.h ../config.h

.c.o:
	$(CC) $(CFLAGS) -c $<


clean:
	rm -f $(ALLOBJ) libregexp.a core


#EOF

=== debian/changelog ===
boxes (1.2-3) unstable; urgency=medium

  * Update Vcs-* fields for switch to salsa.debian.org
  * Bump Debhelper compat level to 11
  * Use HTTPS transport protocol for Homepage URL
  * debian/copyright: Use HTTPS transport protocol for Source URL
  * Use HTTPS transport protocol in debian/watch URL
  * debian/patches/*: Use HTTPS transport protocol for Bug-Debian URLs
  * Update copyright years for debian/* packaging files
  * Set Rules-Requires-Root to no
  * Add spelling-error-in-manpage.patch patch
  * Declare compliance with Debian policy 4.1.3

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 11 Mar 2018 11:21:59 +0100

boxes (1.2-2) unstable; urgency=medium

  * Upload to unstable
  * Use HTTP transport protocol for specification URL of copyright format
  * Declare compliance with Debian policy 4.0.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 21 Jun 2017 10:50:44 +0200

boxes (1.2-1) experimental; urgency=medium

  * New upstream version 1.2
  * Refresh default-GLOBALCONF-for-Debian.patch patch
  * Drop patches applied upstream
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 24 Apr 2017 16:07:36 +0200

boxes (1.1.2-5) unstable; urgency=medium

  * debian/control: Use HTTPS transport protocol for Vcs-Git URI
  * Add basic autopkgtests running upstream testsuite against
    installed binary
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 3.9.8

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 08 Apr 2016 14:47:50 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: text
 Priority: optional
 Maintainer: Salvatore Bonaccorso <carnil@debian.org>
-Standards-Version: 3.9.6
-Build-Depends: bison, debhelper (>= 9), flex
-Vcs-Browser: https://anonscm.debian.org/cgit/users/carnil/boxes.git
-Vcs-Git: git://anonscm.debian.org/users/carnil/boxes.git
-Homepage: http://boxes.thomasjensen.com/
+Standards-Version: 4.1.3
+Build-Depends: bison, debhelper (>= 11), flex
+Vcs-Browser: https://salsa.debian.org/carnil/boxes
+Vcs-Git: https://salsa.debian.org/carnil/boxes.git
+Homepage: https://boxes.thomasjensen.com/
+Rules-Requires-Root: no
 
 Package: boxes
 Architecture: any
